Get Member Info
/outline/{app}/{cube}/{memberUniqueName}
Returns either all member properties or requested member properties.
Request
-
app(required):
Application name.
-
cube(required):
Database name.
-
memberUniqueName(required):
Unique member name (fully qualified name). Can be a member name, a member ID, or an alias. If the member name is non-unique (in a duplicate member enabled outline), use a fully qualified member name or use the member ID.
-
applicationNameForConnection:
Application name for connection.
-
connection:
Essbase connection name.
-
fields:
Comma-separated list of member properties to fetch.
Response
200 Response
OK
Member information retrieved successfully.
400 Response
Bad Request
Failed to get member information.
500 Response
Internal Server Error.
Examples
The following examples show how to get Essbase member properties for a specified member in the outline.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
You can specify the member in different ways.
Member information output that Essbase displays is contextual. Typically, default information is not included. The following are examples of properties that may not be displayed when you query information for a member:
- consolidation: not displayed if the member consolidation operator is the default of Add (+)
- numberOfChildren: not displayed for leaf-level members (members with no children)
- activeAliasName: not displayed unless a non-default alias table is being used in the current session
- attributeType: only displayed for members that are attribute dimension names
- shareMembers: not displayed for dimension-name members nor attributes, as these cannot be the prototype member for a shared member.
- memberHasUniqueName: not displayed unless the outline is duplicate member enabled
Member Name
Script with cURL Command
This example gets information about the member named Product in the Sample Basic outline.
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/outline/Sample/Basic/Product?links=none" -H Accept:application/json -H Content-Type:application/json -u %User%:%Password%Example of Response Body
{
"name": "Product",
"numberOfChildren": 5,
"levelNumber": 2,
"aliases": {
"Long Names": null,
"ChineseNames": "not shown",
"JapaneseNames": "not shown",
"GermanNames": "Produkt",
"RussianNames": "not shown",
"Default": null
},
"uniqueName": "Product",
"memberId": "id__68",
"descendantsCount": 21,
"previousSiblingsCount": 2,
"dimension": true,
"dimSolveOrder": 10,
"associatedAttributes": [
{
"dimName": "Caffeinated",
"attributeValueAsString": "",
"attributeValue": false
},
{
"dimName": "Ounces",
"attributeValueAsString": "",
"attributeValue": 0.0
},
{
"dimName": "Pkg Type",
"attributeValueAsString": "",
"attributeValue": "Pkg Type"
},
{
"dimName": "Intro Date",
"attributeValueAsString": "",
"attributeValue": 0
}
],
"formatString": null,
"dimStorageType": "SPARSE"
}Alias
This example gets information about the member with an alias of Colas in the Sample Basic outline.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/outline/Sample/Basic/Colas?links=none" -H Accept:application/json -H Content-Type:application/json -u %User%:%Password%Example of Response Body
{
"name": "100",
"dimensionName": "Product",
"numberOfChildren": 3,
"levelNumber": 1,
"generationNumber": 2,
"aliases": {
"Long Names": null,
"ChineseNames": "not shown",
"JapaneseNames": "not shown",
"GermanNames": "not shown",
"RussianNames": "not shown",
"Default": "Colas"
},
"activeAliasName": "Colas",
"uniqueName": "100",
"memberId": "id__69",
"descendantsCount": 3,
"parentName": "Product",
"shareMembers": null
}Member ID
Script with cURL Command
This example gets information about the member with a member ID of id__68 in the Sample Basic outline.
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/outline/Sample/Basic/id__68?links=none" -H Accept:application/json -H Content-Type:application/json -o output.json -u %User%:%Password%Example of Response Body
{
"name": "Product",
"numberOfChildren": 5,
"levelNumber": 2,
"aliases": {
"Long Names": null,
"ChineseNames": "not shown",
"JapaneseNames": "not shown",
"GermanNames": "Produkt",
"RussianNames": "not shown",
"Default": null
},
"uniqueName": "Product",
"memberId": "id__68",
"descendantsCount": 21,
"previousSiblingsCount": 2,
"dimension": true,
"dimSolveOrder": 10,
"associatedAttributes": [
{
"dimName": "Caffeinated",
"attributeValueAsString": "",
"attributeValue": false
},
{
"dimName": "Ounces",
"attributeValueAsString": "",
"attributeValue": 0.0
},
{
"dimName": "Pkg Type",
"attributeValueAsString": "",
"attributeValue": "Pkg Type"
},
{
"dimName": "Intro Date",
"attributeValueAsString": "",
"attributeValue": 0
}
],
"formatString": null,
"dimStorageType": "SPARSE"
}